commandwindow
clear
clc
close all
syms t
A =[ 1     1   -2    1    3     -1    
     2    -1    1    2    1     -3
     1     3   -3   -1    2      1 
     5     2   -1   -1    2      1
     -3   -1    2    3    1      3
     4     3    1   -6   -3     -2]
% t = [T1:T2:T3:T4:T5:T6]
B = [4 ; 12 ; -11 ; -113/7 ; -11/9 ; 213/19]
f1 = A(2,1)/A(1,1)
f2 = A(3,1)/A(1,1)
f3 = A(4,1)/A(1,1)
f4 = A(5,1)/A(1,1)
f5 = A(6,1)/A(1,1)
C = [    A(1,1)                    A(1,2)                  A(1,3)               A(1,4)             A(1,5)              A(1,6)
     A(2,1)-f1*A(1,1)        A(2,2)-f1*A(1,2)        A(2,3)-f1*A(1,3)     A(2,4)-f1*A(1,4)    A(2,5)-f1*A(1,5)    A(2,6)-f1*A(1,6)
     A(3,1)-f2*A(1,1)        A(3,2)-f2*A(1,2)        A(3,3)-f2*A(1,3)     A(3,4)-f2*A(1,4)    A(3,5)-f2*A(1,5)    A(3,6)-f2*A(1,6)
     A(4,1)-f3*A(1,1)        A(4,2)-f3*A(1,2)        A(4,3)-f3*A(1,3)     A(4,4)-f3*A(1,4)    A(4,5)-f3*A(1,5)    A(4,6)-f3*A(1,6)
     A(5,1)-f4*A(1,1)        A(5,2)-f4*A(1,2)        A(5,3)-f4*A(1,3)     A(5,4)-f4*A(1,4)    A(5,5)-f4*A(1,5)    A(5,6)-f4*A(1,6)
     A(6,1)-f5*A(1,1)        A(6,2)-f5*A(1,2)        A(6,3)-f5*A(1,3)     A(6,4)-f5*A(1,4)    A(6,5)-f5*A(1,5)    A(6,6)-f5*A(1,6)]
f6 = C(3,2)/C(2,2)
f7 = C(4,2)/C(2,2)
f8 = C(5,2)/C(2,2)
f9 = C(6,2)/C(2,2)
D = [  C(1,1)                    C(1,2)                  C(1,3)               C(1,4)             C(1,5)              C(1,6)
       C(2,1)                    C(2,2)                  C(2,3)               C(2,4)             C(2,5)              C(2,6)
       C(3,1)              C(3,2)-f6*C(2,2)        C(3,3)-f6*C(2,3)     C(3,4)-f6*C(2,4)    C(3,5)-f6*C(2,5)    C(3,6)-f6*C(2,6)
       C(4,1)              C(4,2)-f7*C(2,2)        C(4,3)-f7*C(2,3)     C(4,4)-f7*C(2,4)    C(4,5)-f7*C(2,5)    C(4,6)-f7*C(2,6)
       C(5,1)              C(5,2)-f8*C(2,2)        C(5,3)-f8*C(2,3)     C(5,4)-f8*C(2,4)    C(5,5)-f8*C(2,5)    C(5,6)-f8*C(2,6)
       C(6,1)              C(6,2)-f9*C(2,2)        C(6,3)-f9*C(2,3)     C(6,4)-f9*C(2,4)    C(6,5)-f9*C(2,5)    C(6,6)-f9*C(2,6)]
f10 =  D(4,3)/D(3,3)
f11 =  D(5,3)/D(3,3)
f12 =  D(6,3)/D(3,3)
E = [  D(1,1)     D(1,2)        D(1,3)             D(1,4)                D(1,5)                D(1,6)
       D(2,1)     D(2,2)        D(2,3)             D(2,4)                D(2,5)                D(2,6)
       D(3,1)     D(3,2)        D(3,3)             D(3,4)                D(3,5)                D(3,6)
       D(4,1)     D(4,2)  D(4,3)-f10*D(3,3)    D(4,4)-f10*D(3,4)    D(4,5)-f10*D(3,5)    D(4,6)-f10*D(3,6)
       D(5,1)     D(5,2)  D(5,3)-f11*D(3,3)    D(5,4)-f11*D(3,4)    D(5,5)-f11*D(3,5)    D(5,6)-f11*D(3,6)
       D(6,1)     D(6,2)  D(6,3)-f12*D(3,3)    D(6,4)-f12*D(3,4)    D(6,5)-f12*D(3,5)    D(6,6)-f12*D(3,6)]
f14 =  E(5,4)/E(4,4)
f15 =  E(6,4)/E(4,4)
F = [   E(1,1)     E(1,2)        E(1,3)             E(1,4)                E(1,5)                E(1,6)
        E(2,1)     E(2,2)        E(2,3)             E(2,4)                E(2,5)                E(2,6)
        E(3,1)     E(3,2)        E(3,3)             E(3,4)                E(3,5)                E(3,6)
        E(4,1)     E(4,2)        E(4,3)             E(4,4)                E(4,5)                E(4,6)
        E(5,1)     E(5,2)        E(5,3)       E(5,4)-f14*E(4,4)      E(5,5)-f14*E(4,5)     E(5,6)-f14*E(4,6)
        E(6,1)     E(6,2)        E(6,3)       E(6,4)-f15*E(4,4)      E(6,5)-f15*E(4,5)     E(6,6)-f15*E(4,6)]
f16 =  F(6,5)/F(5,5)   
  G = [  F(1,1)     F(1,2)        F(1,3)             F(1,4)                F(1,5)                F(1,6)
         F(2,1)     F(2,2)        F(2,3)             F(2,4)                F(2,5)                F(2,6)
         F(3,1)     F(3,2)        F(3,3)             F(3,4)                F(3,5)                F(3,6)
         F(4,1)     F(4,2)        F(4,3)             F(4,4)                F(4,5)                F(4,6)
         F(5,1)     F(5,2)        F(5,3)             F(5,4)                F(5,5)                F(5,6)
         F(6,1)     F(6,2)        F(6,3)             F(6,4)            F(6,5)-f16*F(5,5)     F(6,6)-f16*F(5,6)]
    T6 =  B(6,1)/G(6,6)
    T5 = (B(5,1)-(G(5,6)*T6))/G(5,5)
    T4 = (B(4,1)-(G(4,5)*T5)-(G(4,6)*T6))/G(4,4)
    T3 = (B(3,1)-(G(3,4)*T4)-(G(3,5)*T5)-(G(3,6)*T6))/G(3,3)
    T2 = (B(2,1)-(G(2,3)*T3)-(G(2,4)*T4)-(G(2,5)*T5)-(G(2,6)*T6))/G(2,2)
    T1 = (B(1,1)-(G(1,2)*T2)-(G(1,3)*T3)-(G(1,4)*T4)-(G(1,5)*T5)-(G(1,6)*T6))/G(1,1)